Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class TableColumnProperty

    java.lang.Object
      semorg.gui.util.TableColumnProperty

    public class TableColumnProperty

extends Object

This class encapsulates all properties of a column of a GUI table.

Field Summary
`private int` | `alignment` The alignment of a column.
`private int` | `columnNumber` The number of a column.
`private int` | `index` The index of the column.
`private boolean` | `resizable` If `true` the column can be resized by the user.
`private String` | `text` The text (name) of a columns.
`private int` | `width` The width of a column.

Constructor Summary
`TableColumnProperty(int index, int columnNumber, String text, int alignment, int width, boolean resizable)` Creates a `TableColumnProperty` instance with the given values.

Method Summary
`int` | `getAlignment()`
`int` | `getColumnNumber()`
`int` | `getIndex()`
`boolean` | `getResizable()`
`String` | `getText()`
`int` | `getWidth()`
`void` | `setAlignment(int alignment)`
`void` | `setColumnNumber(int columnNumber)`
`void` | `setResizable(boolean resizable)`
`void` | `setText(String text)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    private final int index

  The index of the column.

### columnNumber

    private int columnNumber

  The number of a column.

### alignment

    private int alignment

  The alignment of a column.

### width

    private int width

  The width of a column.

### resizable

    private boolean resizable

  If `true` the column can be resized by the user. Otherwise it is `false`.

### text

    private String text

  The text (name) of a columns.

Constructor Detail

### TableColumnProperty

    public TableColumnProperty(int index,
                               int columnNumber,
                               String text,
                               int alignment,
                               int width,
                               boolean resizable)

  Creates a `TableColumnProperty` instance with the given values.

Method Detail

### getAlignment

    public int getAlignment()

### setAlignment

    public void setAlignment(int alignment)

### getColumnNumber

    public int getColumnNumber()

### setColumnNumber

    public void setColumnNumber(int columnNumber)

### getResizable

    public boolean getResizable()

### setResizable

    public void setResizable(boolean resizable)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getText

    public String getText()

### setText

    public void setText(String text)

### getIndex

    public int getIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD